Cuando examina hosts ESXi con respecto a una línea base de actualización, Update Manager ejecuta un script de comprobación previa y muestra mensajes informativos en la ventana Detalles de actualización de cada host. Los mensajes notifican sobre potenciales problemas de hardware y software de terceros en el host y problemas de configuración, algo que puede impedir una actualización correcta a ESXi 6.0.

Los mensajes que muestra Update Manager corresponden a códigos de error o advertencia derivados de la ejecución del script de comprobación previa de actualización de hosts.

En el caso de instalaciones y actualizaciones interactivas realizadas con el instalador de ESXi, los errores o las advertencias del script de comprobación previa se muestran en el panel final del instalador, donde se le pide que confirme o cancele la instalación o actualización. En el caso de instalaciones y actualizaciones generadas por script, los errores o las advertencias se escriben en el registro de instalación.

Update Manager muestra mensajes de resultados de exploración en la ventana Detalles de actualización en caso de errores o advertencias arrojados por el script de comprobación previa. Para ver los errores y las advertencias originales que arrojó el script de comprobación previa durante una operación de exploración de actualización de hosts de Update Manager, consulte el archivo de registro de Update Manager, C:\Documents and Settings\All Users\Application Data\VMware\VMware Update Manager\Logs\vmware-vum-server-log4cpp.log.

Tabla 1. Mensajes de resultados de examinaciones y códigos de error y advertencia correspondientes

Mensaje de resultados de exploración en Update Manager

Descripción

No se admite la CPU del host. La nueva versión de ESXi requiere una CPU de 64 bits que admita instrucciones LAHF/SAHF en modo extendido.

Este mensaje aparece si el procesador del host es de 32 bits y no admite las características requeridas.

El código de error correspondiente es 64BIT_LONGMODESTATUS.

Se admite el arranque seguro en el host, pero la actualización no contiene el paquete de software esx-tboot. La actualización del host eliminará la característica de arranque seguro.

Este mensaje indica que la exploración de actualización de hosts no localizó el VIB esx-tboot en la ISO de actualización.

El código de error correspondiente es TBOOT_REQUIRED.

Las interfaces de red de VMkernel y la consola de servicios comparten la misma subred subnet_name. Esta configuración no se admite después de la actualización. Se debe conectar una sola interfaz a la subred subnet_name.

Advertencia. Se encontró una dirección IPv4 en una NIC virtual de consola de servicio habilitada para la cual no hay una dirección correspondiente en la misma subred del vmkernel. Aparecerá una advertencia por separado para cada uno de los casos.

El código de error correspondiente es COS_NETWORKING.

La nueva versión de ESXi requiere core_count núcleos de procesador como mínimo.

El host debe tener al menos dos núcleos.

El código de error correspondiente es CPU_CORES.

El procesador no admite la virtualización de hardware o está deshabilitada en el BIOS. Es posible que el rendimiento de la máquina virtual sea lento.

El rendimiento del host puede verse afectado si el procesador del host no admite virtualización de hardware, o si la virtualización de hardware no está activada en el BIOS del host. Habilite la virtualización de hardware en las opciones de arranque del equipo host. Consulte la documentación del proveedor de hardware.

El código de error correspondiente es HARDWARE_VIRTUALIZATION.

Memoria insuficiente, se requiere un mínimo de size_in_MB para la actualización.

El host requiere la cantidad de memoria especificada para la actualización.

El código de error correspondiente es MEMORY_SIZE.

Las comprobaciones de validez de la actualización del host file_name no se completaron correctamente.

Esta prueba comprueba si el script de comprobación previa puede ejecutarse.

El código de error correspondiente es PRECHECK_INITIALIZE.

La disposición de la partición del host no es apta para una actualización.

La actualización puede realizarse solo si hay una partición VMFS como máximo en el disco que se está actualizando, y si la partición VMFS comienza después del sector 1843200.

El código de error correspondiente es PARTITION_LAYOUT.

Configuración no admitida.

El archivo /etc/vmware/esx.conf debe estar presente en el host.

Este mensaje indica que el archivo /etc/vmware/esx.conf está ausente, o que el archivo de datos no puede recuperarse o leerse correctamente.

El código de error correspondiente es SANE_ESX_CONF.

El host no tiene espacio libre suficiente en un almacén de datos de VMFS para realizar una copia de seguridad de la configuración actual del host. Se requiere un mínimo de size_in_MB.

El disco host debe tener espacio libre suficiente para almacenar la configuración de ESXi 5.x entre reinicios.

El código de error correspondiente es SPACE_AVAIL_CONFIG.

La actualización de la versión actual del host no está admitida.

La actualización a ESXi 6.0 solo es posible desde hosts ESXi 5.x.

El código de error correspondiente es SUPPORTED_ESX_VERSION.

Se detectaron dispositivos device_name no compatibles en el host.

Este script busca dispositivos no compatibles. Algunos dispositivos PCI no son compatibles con ESXi 6.0.

El código de error correspondiente es UNSUPPORTED_DEVICES.

La configuración de software del host requiere un reinicio. Reinicie el host y vuelva a intentar la actualización.

Si desea garantizar un buen banco de arranque para la actualización, debe reiniciar los hosts antes de la corrección.

El código de error correspondiente es UPDATE_PENDING.

En un entorno con un conmutador virtual distribuido Cisco Nexus 1000V, Update Manager muestra diferentes mensajes en distintas situaciones. Para obtener información detallada, consulte Mensajes de exploración de actualización de hosts cuando Cisco Nexus 1000V está presente.

Si el software Virtual Ethernet Module (VEM) de Cisco se encuentra en el host, el script de comprobación previa determina si el software también forma parte de la actualización, y verifica que VEM sea compatible con la misma versión de Virtual Supervisor Module (VSM) que la versión existente en el host. Si el software no se encuentra o es compatible con otra versión de VSM, el script muestra una advertencia, mientras que el resultado de la exploración indica la versión del software VEM que se esperaba en la ISO de actualización y la versión que se encontró en la ISO, si la hubiere.

El código de error correspondiente es DISTRIBUTED_VIRTUAL_SWITCH.

El host utiliza un módulo de múltiples rutas EMC PowerPath file_name para acceder al almacenamiento. El host no podrá acceder a este almacenamiento después de la actualización.

El script comprueba la instalación del software EMC PowerPath, que consta de un módulo CIM y uno de kernel. Si se detecta alguno de estos componentes en el host, el script comprueba si en la actualización también se encuentran los componentes coincidentes (módulo CIM, módulo de VMkernel). Si no se encuentran, el script muestra una advertencia donde se indica qué componentes de PowerPath se esperaban encontrar en el archivo ISO de actualización y cuáles se detectaron, si los hubiere.

El código de error correspondiente es POWERPATH.